Skip to main content
`Ctrl`+`K`

# root_scalar(method=’toms748’)

scipy.optimize.root_scalar(f, args=(), method=None, bracket=None, fprime=None, fprime2=None, x0=None, x1=None, xtol=None, rtol=None, maxiter=None, options=None)

  See also

  For documentation for the rest of the parameters, see `scipy.optimize.root_scalar`

  Options:
    ——-
    args tuple, optional

      Extra arguments passed to the objective function.

    bracket: A sequence of 2 floats, optional

      An interval bracketing a root. `f(x, *args)` must have different signs at the two endpoints.

    xtol float, optional

      Tolerance (absolute) for termination.

    rtol float, optional

      Tolerance (relative) for termination.

    maxiter int, optional

      Maximum number of iterations.

    options: dict, optional

      Specifies any method-specific options not covered above.